Bug 611115 - SELinux is preventing /usr/bin/python "write" access on log.
SELinux is preventing /usr/bin/python "write" access on log.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:da32ab977da...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-03 15:11 EDT by Wayne Spivak
Modified: 2011-06-01 11:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-01 11:34:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Spivak 2010-07-03 15:11:02 EDT
Summary:

SELinux is preventing /usr/bin/python "write" access on log.

Detailed Description:

SELinux denied access requested by denyhosts.py. It is not expected that this
access is required by denyhosts.py and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:denyhosts_t:s0
Target Context                system_u:object_r:devlog_t:s0
Target Objects                log [ sock_file ]
Source                        denyhosts.py
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.4-27.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-28.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux tuffy.sbanetweb.com
                              2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11
                              09:42:24 UTC 2010 i686 i686
Alert Count                   17
First Seen                    Sat 19 Jun 2010 10:23:42 PM EDT
Last Seen                     Wed 30 Jun 2010 11:09:57 AM EDT
Local ID                      22587ec1-c4ee-43c5-b315-5170dc47aaed
Line Numbers                  

Raw Audit Messages            

node=tuffy.sbanetweb.com type=AVC msg=audit(1277910597.136:34434): avc:  denied  { write } for  pid=24947 comm="denyhosts.py" name="log" dev=devtmpfs ino=231706 scontext=system_u:system_r:denyhosts_t:s0 tcontext=system_u:object_r:devlog_t:s0 tclass=sock_file

node=tuffy.sbanetweb.com type=SYSCALL msg=audit(1277910597.136:34434): arch=40000003 syscall=102 success=no exit=-13 a0=3 a1=bff3c92c a2=a50ff4 a3=ffffffc8 items=0 ppid=1 pid=24947 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=139 comm="denyhosts.py" exe="/usr/bin/python" subj=system_u:system_r:denyhosts_t:s0 key=(null)



Hash String generated from  catchall,denyhosts.py,denyhosts_t,devlog_t,sock_file,write
audit2allow suggests:

#============= denyhosts_t ==============
allow denyhosts_t devlog_t:sock_file write;
Comment 1 Miroslav Grepl 2010-07-04 17:52:52 EDT
It was fixed in the selinux-policy-3.7.19-31.noarch.

You can install the policy using

yum update selinux-policy-targeted --enablerepo=updates-testing
Comment 2 Fedora Admin XMLRPC Client 2010-11-08 16:51:45 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2010-11-08 16:53:05 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2010-11-08 16:55:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Bug Zapper 2011-06-01 10:50:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.